﻿@font-face {
    font-family: "nucleo";
    src: url("/fonts/nucleo.woff2") format("woff2"), url("/fonts/nucleo.woff") format("woff");
}

@import url('/css/open-iconic/font/css/open-iconic-bootstrap.min.css');

a.nav-link svg {
    width: 2.5em;
    height: 2.5em;
}


app {
    display:flex;
}

body {
    overflow:auto;
}

.main-panel {
    background:none;
    border-top:none;
}


.navbar {
    top:0 !important;
}

.copyright {
    cursor:pointer;
    color: rgba(255,255,255,.7) !important;
    text-transform: uppercase;
}

@media (max-width: 992px) {
    .bar1,
    .bar2,
    .bar3 {
        outline: 1px solid transparent;
    }

    .bar1 {
        top: 0px;
        -webkit-animation: topbar-back 500ms linear 0s;
        animation: topbar-back 500ms 0s;
        -webkit-animation-fill-mode: forwards;
        animation-fill-mode: forwards;
    }

    .bar2 {
        opacity: 1;
    }

    .bar3 {
        bottom: 0px;
        -webkit-animation: bottombar-back 500ms linear 0s;
        animation: bottombar-back 500ms 0s;
        -webkit-animation-fill-mode: forwards;
        animation-fill-mode: forwards;
    }

    .toggled .bar1 {
        top: 7px;
        -webkit-animation: topbar-x 500ms linear 0s;
        animation: topbar-x 500ms 0s;
        -webkit-animation-fill-mode: forwards;
        animation-fill-mode: forwards;
    }

    .toggled .bar2 {
        opacity: 0;
    }

    .toggled .bar3 {
        bottom: 9px;
        -webkit-animation: bottombar-x 500ms linear 0s;
        animation: bottombar-x 500ms 0s;
        -webkit-animation-fill-mode: forwards;
        animation-fill-mode: forwards;
    }

    @keyframes topbar-x {
        0% {
            top: 0px;
            -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
        }

        45% {
            top: 6px;
            -webkit-transform: rotate(145deg);
            transform: rotate(145deg);
        }

        75% {
            -webkit-transform: rotate(130deg);
            transform: rotate(130deg);
        }

        100% {
            -webkit-transform: rotate(135deg);
            transform: rotate(135deg);
        }
    }

    @-webkit-keyframes topbar-x {
        0% {
            top: 0px;
            -webkit-transform: rotate(0deg);
        }

        45% {
            top: 6px;
            -webkit-transform: rotate(145deg);
        }

        75% {
            -webkit-transform: rotate(130deg);
        }

        100% {
            -webkit-transform: rotate(135deg);
        }
    }

    @keyframes topbar-back {
        0% {
            top: 6px;
            -webkit-transform: rotate(135deg);
            transform: rotate(135deg);
        }

        45% {
            -webkit-transform: rotate(-10deg);
            transform: rotate(-10deg);
        }

        75% {
            -webkit-transform: rotate(5deg);
            transform: rotate(5deg);
        }

        100% {
            top: 0px;
            -webkit-transform: rotate(0);
            transform: rotate(0);
        }
    }

    @-webkit-keyframes topbar-back {
        0% {
            top: 6px;
            -webkit-transform: rotate(135deg);
        }

        45% {
            -webkit-transform: rotate(-10deg);
        }

        75% {
            -webkit-transform: rotate(5deg);
        }

        100% {
            top: 0px;
            -webkit-transform: rotate(0);
        }
    }

    @keyframes bottombar-x {
        0% {
            bottom: 0px;
            -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
        }

        45% {
            bottom: 6px;
            -webkit-transform: rotate(-145deg);
            transform: rotate(-145deg);
        }

        75% {
            -webkit-transform: rotate(-130deg);
            transform: rotate(-130deg);
        }

        100% {
            -webkit-transform: rotate(-135deg);
            transform: rotate(-135deg);
        }
    }

    @-webkit-keyframes bottombar-x {
        0% {
            bottom: 0px;
            -webkit-transform: rotate(0deg);
        }

        45% {
            bottom: 6px;
            -webkit-transform: rotate(-145deg);
        }

        75% {
            -webkit-transform: rotate(-130deg);
        }

        100% {
            -webkit-transform: rotate(-135deg);
        }
    }

    @keyframes bottombar-back {
        0% {
            bottom: 6px;
            -webkit-transform: rotate(-135deg);
            transform: rotate(-135deg);
        }

        45% {
            -webkit-transform: rotate(10deg);
            transform: rotate(10deg);
        }

        75% {
            -webkit-transform: rotate(-5deg);
            transform: rotate(-5deg);
        }

        100% {
            bottom: 0px;
            -webkit-transform: rotate(0);
            transform: rotate(0);
        }
    }

    @-webkit-keyframes bottombar-back {
        0% {
            bottom: 6px;
            -webkit-transform: rotate(-135deg);
        }

        45% {
            -webkit-transform: rotate(10deg);
        }

        75% {
            -webkit-transform: rotate(-5deg);
        }

        100% {
            bottom: 0px;
            -webkit-transform: rotate(0);
        }
    }

    @-webkit-keyframes fadeIn {
        0% {
            opacity: 0;
        }

        100% {
            opacity: 1;
        }
    }

    @keyframes fadeIn {
        0% {
            opacity: 0;
        }

        100% {
            opacity: 1;
        }
    }

    .navbar .navbar-toggler-bar.bar2 {
        width: 17px;
        transition: width .2s linear;
    }

    .navbar .navbar-toggler-bar {
        display: block;
        position: relative !important;
        width: 22px;
        height: 1px;
        border-radius: 1px;
        background: #ffffff;
    }

        .navbar .navbar-toggler-bar + .navbar-toggler-bar {
            margin-top: 7px;
        }

    .navbar .navbar-toggle .navbar-toggler {
        display: block;
    }

    .navbar-minimize-fixed {
        display: none;
    }

  
 
}


@media (max-width:768px) {

    .main-panel > .content {
        padding: 90px 30px 30px 30px !important;
      
    }

}



@media (min-width:1199.98px) {

    .navbar-brand {
        display: none;
    }

   

}


@media (max-width:1199.98px) {
    .logo {
        visibility: hidden;
    }

    .side-logo {
        display: none !important;
    }
 
    
}

.navbar-wrapper {
    margin-left: -25px;
    width:inherit;
}


.sidebar {
    background: #27293d;
    width: 250px;
    filter: drop-shadow(2px 4px 6px black);
}

    .sidebar:before, .off-canvas-sidebar:before {
        content: "";
        position: absolute;
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        border-bottom: 5px solid #263148;
        top: -5px;
        left: 24px;
        -webkit-transform: translate(-50%);
        transform: translate(-50%);
    }

.simple-text {
    text-align:center;
    font-size:1rem;
    margin-top:20px;
}

.side-logo {
    width: 95%;
    display: block;
    margin: 0 auto;
    position: relative;
    margin-top: -85px;
}

.sidebar .nav li > a, .off-canvas-sidebar .nav li > a {
    border-radius: 5px;
    background: rgba(255,255,255,.15);
    padding-left: 20px;
    padding-right: 20px;
}

    .sidebar .nav li > a:hover, .off-canvas-sidebar .nav li > a:hover {
        border-radius: 5px;
        background: rgba(255,255,255,.30);
      
    }


.sidebar a.nav-link.activated {
    background: rgba(255,255,255,.30);
}



.svg-labels {
    margin-left: 10px;
    font-size: 1em;
}

.sidebar .logo, .off-canvas-sidebar .logo {
  padding: unset;
}


.showNav {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.navbar .navbar-brand {
 margin-left: 0px;
}

.jumbotron {
    background: #27293d;
    filter: drop-shadow(2px 4px 6px black);
}


.logo::after {
    background: #7b2cbf !important;
}

.input-group:focus-within .input-group-text {
    border-color: #7b2cbf;
}


.nav-pills i svg {
    width: 1.2em !important;
    height: 1.2em !important;
    position: relative;
    margin-top: -5px;
}

.connecting svg {
    width: 90px;
    height: 90px;
    display: block;
    fill: transparent !important;
    margin: 0 auto;
}



    .connecting svg path {
        stroke-dasharray: 60;
        stroke-dashoffset: 60;
        stroke: #7b2cbf;
        stroke-width: .2px;
        animation:connect ease 3s forwards infinite;
    }

@keyframes connect {

    100% {
        stroke-dasharray: 60;
        stroke-dashoffset: 0;
    }

}

.btn:not([data-action]):hover, .navbar .navbar-nav > a.btn:not([data-action]):hover {
     box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.4);
     transform: translateY(0px); 
     -webkit-transform: translateY(0px); 
}

.main-panel > .content {
    padding: 90px 30px 30px 300px;
    min-height: calc(100vh - 75px);
}

body::-webkit-scrollbar {
    width: 5px;
}

body::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

body::-webkit-scrollbar-thumb {
    background-color: #263148;
    outline: 1px solid black;
    border-radius:5px;
}

.navbar-nav.top-r-nav {
    flex-direction: row !important;
    position: fixed;
    right: 30px;
    top: 7px;
    backdrop-filter:blur(5px);
}

ul.navbar-nav.top-r-nav svg {
    width: 1.5em;
    height: 1.5em;
    margin-right:5px;
}

.card.card-table {
    box-shadow: none;
}

.radio-table input[type="radio"]:checked + .form-check-sign::after {
    top: -11px;
    left: 10px;  
}

td svg {
    width: 2em;
    height: 2em;
    vertical-align: text-bottom;
}

.table .form-check {
    margin: 0;
    margin-top: 11px;
}

.card-wrap {
    background: transparent;
    box-shadow:none;
    margin-bottom:0px;
}


.alert.alert-info.alert-with-icon {
    max-width: 500px;
    min-width:350px;
    position: fixed;
    right: 30px;
    bottom: 10px;
}

td.td-empty svg {
    vertical-align: middle;
    margin-right: 5px;
    color: #7b2cbf;
}

h3.card-title.title-wizard {
    border-bottom: .2pt solid #7b2cbf;
    padding-bottom:5px;
}

td.td-empty {
    border: none !important;
    height: 250px;
    font-size: 1.1em;
}

.progress-container .progress-badge {
    text-transform:none;
    vertical-align: super;
}

.alert-info {
    background-color: #000000 !important;
    filter:drop-shadow(1px 1px 2px white);
}

/*.sidebar ul.nav.flex-column li:nth-child(3):after {
    content: "";
    display: block;
    width: 80%;
    background-color: #7b2cbf;
    height: .5px;
    margin: 0 auto;
    margin-top: 10px;
}*/

.check-change {
margin-left: 5px;
color: rgba(255,255,255,.9);
}

.AddAssumpWrapper .card-body {
    margin-top: 0px;
}

.AddAssumpWrapper .nav-link {
    background: rgba(255,255,255,.15);
    margin: 5px;
    color: white;
    border-radius: 5px;
    transition: all 300ms ease 0s;
    cursor:pointer;
}

    .AddAssumpWrapper .nav-link:hover {
        background: rgba(255,255,255,.30);  
    }

.AddAssumpWrapper a svg {
    width: 1.5em;
    height: 1.5em;
}

.AddAssumpWrapper .card {
    background-color:transparent !important;
    box-shadow:none !important;
}

.AddAssumpWrapper a.nav-link.activated {
    background: rgba(255,255,255,.30);
}

.AddAssumpWrapper div[class^='col-md'] {
    padding-left: 3px;
    padding-right: 3px;
}

.AddAssumpWrapper .form-check.col-md-3 {
    padding-left: 15px;
}
.AddAssumpWrapper .col-form-label {
    text-align: left;
}

.dropdown-menu.dropdown-menu-right.table-menu {
    transform: translate3d(-3px, 5px, 0) !important;
    -webkit-transform: translate3d(-3px, 5px, 0) !important;
}


button.btn.btn-default.dropdown-toggle.btn-link.btn-icon:after {
    vertical-align:0px !important;
}


button.btn.btn-default.dropdown-toggle.btn-link.btn-icon.table-icon:after {
 transform:rotate(180deg);
 -webkit-transform:rotate(180deg);
}

.dropdown-menu.dropdown-menu-right.table-menu a {
    color: black !important;
}

.dropdown-menu.dropdown-menu-right.table-menu i {
    color: black !important;
}

.dashboard .btn-group.btn-group-toggle.float-right label {
    font-weight: 500;
    border-color: rgba(255,255,255,.2);
}



.table.dynamic-table .form-check label .form-check-sign::before, .table .form-check label .form-check-sign::after {
     top: 3px; 
     left: 0px; 
}

table.table.dynamic-table .form-control {
    height: inherit;
}

table.table.dynamic-table .form-check {
    margin: 0px;
    margin-left: -17px;
}

.table-responsive.ps.dynamic-wrap {
    border: 1px dotted;
    border-radius: 5px;
    padding: 10px;
    border-color: transparent;
}

.dynamic-wrap label{
    margin-bottom:2px;
}

.row.jwrap {
    margin-top:100px;
}

.row.jwrap .col-md-4 {
    text-align: center;
    margin-bottom: 25px;
}

.row.jwrap a {
    margin-top: 25px;
}

.jwrap svg {
    width:100%;
    height:100%;
    max-height:350px;
}

#randomPrice {
    height: calc(100vh - 91px) !important;
    width: 100vw !important;
    position: fixed;
    display:block;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: -1;
    margin-top: 91px;
}

.btn-void {
    height:85px;
}

.btn-terminal {
    padding-left: 30px;
    padding-right: 30px;
    font-weight: 300;
}

.dynamic-results svg {
    width: 2em;
    height: 2em;
    margin-right: 5px;  
}


table.table.dynamic-table input {
    border: none;
    background: rgba(0,0,0,.1);
}

.dynamic-results svg {
    color: #7b2cbf;
}


.card.card-contributions .card-category {
    font-size: 1.2em;
}


.dynamic-background {
    background-image: linear-gradient(to bottom right, #000000, #263148, #0000) !important;
}

.card.card-contributions svg {
    color: rgba(255,255,255,.5);
}

table.table.priced-assumption td:nth-child(n+2), table.table.priced-assumption th:nth-child(n+2) {
    text-align: center;
}

.interface {
   /* position:sticky;
    bottom:0;
    z-index:5;*/
}

table.table.priced-assumption thead th {
    font-size: 1em;
}


ul.navbar-nav.top-r-nav .nav-link {
    font-weight: 400;
}


ul.navbar-nav.top-r-nav .nav-link:hover {
    color: #7b2cbf !important;
    cursor: pointer !important;
    transition: .3s ease-in-out !important;
}


.jumbotron .display-3, .jumbotron h2 {
    font-weight: 200;
}

.row.jwrap .btn {
    filter: drop-shadow(2px 4px 6px black);
}

nav.navbar.navbar-expand-lg.navbar-absolute.navbar-transparent {
    /*height: 80px;*/
    /*    background: #1e1e2f !important;*/
    /*position: fixed;
    filter:drop-shadow(2px 4px 6px black);*/
}


i.computeProgress {
    display: inline-block;
    width: 35px;
    height: 35px;
    margin-left: 10px;
    position: absolute;
    margin-top: -8px;
}

i.waiting {
    color: #7b2cbf;
    font-style: italic;
    padding: 5px;
    padding-right:0px;
    font-weight:300;
}

.circle circle {
    fill: none;
    stroke: #7b2cbf;
    stroke-width: 10px;
    stroke-linecap: round;
    stroke-dashoffset: 280;
    stroke-dasharray: 280;
    transform-origin:50% 50%;
    animation: 2s progress ease-in-out infinite, 1s progressRotate ease-in-out infinite;
}

@keyframes progress {
    0% {
        stroke-dashoffset:280;
        stroke-dasharray:280;
    }
    50% {
        stroke-dashoffset: 30;
        stroke-dasharray: 280;
    }
    100% {
        stroke-dashoffset: 280;
        stroke-dasharray: 280;
    }

}

@keyframes progressRotate {

    from {
        transform:rotate(0deg);
    }

    to {
        transform:rotate(360deg);
    }

}


.card.card-timeline .timeline:before {
    top: 0;
    bottom: 0;
    position: absolute;
    content: " ";
    width: 3px;
    background-color: rgb(82, 95, 127);
    left: 50%;
    margin-left: -1.5px;
    margin-top:15px;
    margin-bottom:50px;
    border-radius:10px;
}

.card.card-timeline .timeline > li > .timeline-panel {
  /*  background: #1e1e2f;*/
    width: 45%;
    float: left;
    padding: 20px;
    border-radius: 0.2857rem;
    filter: drop-shadow(2px 4px 6px black);
    margin-bottom: 20px;
    position: relative;
}

    .card.card-timeline .timeline > li > .timeline-panel:after {
        position: absolute;
        top: 27px;
        right: -14px;
        display: inline-block;
        border-top: 14px solid transparent;
        /*border-left: 14px solid #1e1e2f;
        border-right: 0 solid #1e1e2f;*/
        border-bottom: 14px solid transparent;
        content: " ";
    }

.timeline-body {
    color: rgba(255,255,255,0.6);
}

.badge-success {
    background-color: transparent;
    font-size: 1.1em;
    font-weight: 600;
}

@media (max-width: 991.98px)  {

    .ireporting {
        text-align:left !important;
    }

    .card-contributions .card-footer [class*="col-"]:not(:first-child):before {
       display:none !important;
    }


}

.card.card-timeline .timeline-badge.success {
    background-color: #525f7f !important;
}

@media(max-width:600px) {

    ul.navbar-nav.top-r-nav {
        display: none;
    }

}

.dashboard .btn-group.btn-group-toggle.float-right {
    position: absolute;
    top: -8px;
    right: 15px;
    text-transform:uppercase;
}

.col-xs-12.col-sm-6.col-md-4.listar-feature-item-wrapper.listar-feature-with-image.listar-height-changed {
    min-height: 400px;
    margin-top:50px;
}

.navbar.navbar-absolute {
    z-index: 1050;
}

nav.navbar.navbar-expand-lg.navbar-absolute.navbar-transparent.fixed {
    position: fixed;
}


@keyframes ripple2 {
    0% {
        box-shadow: 0 0 0 0 rgba(163, 177, 198, 0.3), 0 0 0 1em rgba(163, 177, 198, 0.3), 0 0 0 3em rgba(163, 177, 198, 0.03), 0 0 0 5em rgba(163, 177, 198, 0.01);
    }

    100% {
        box-shadow: 0 0 0 1em rgba(163, 177, 198, 0.3), 0 0 0 3em rgba(163, 177, 198, 0.03), 0 0 0 5em rgba(163, 177, 198, 0.03), 0 0 0 8em rgba(163, 177, 198, 0.01);
    }
}


.navbar-nav.top-r-nav {
    flex-direction: row !important;
    position: fixed;
    display: flex;
    top: 0px;
    padding-top: 7px;
    padding-bottom: 7px;
    width: calc(100vw - 300px);
    right: 0px;
    background-image: linear-gradient(to right, rgba(0,0,0,0), #1e1e2f ) !important;
    filter: drop-shadow(2px 4px 6px black);
    border-bottom-left-radius: 100%;
}

ul.navbar-nav.top-r-nav li.nav-item:first-of-type {
    margin-left: auto;
}

.progress-container {
    min-width: 80px;
}



/*******************/

.jumbotron #rotator {
    height: 100%;
    display: flex;
    flex-wrap:wrap;
    font-size: 30px;
}

.jumbotron .box {
    height: 40px;
    overflow: hidden;
    position: relative;
    min-width: 300px;
    max-width:795px;
}

    .jumbotron .box::before {
        top: 0;
        left: 0;
        z-index: 1;
        width: 100%;
        /*content: '';*/
        height: 10px;
        position: absolute;
        background: rgba(255,255,255,.1);
        filter: blur(5px)
    }

    .jumbotron .box::after {
        left: 0;
        bottom: 0;
        z-index: 1;
        width: 100%;
       /* content: '';*/
        height: 10px;
        position: absolute;
        background: rgba(255,255,255,.1);
        filter: blur(5px)
    }

.jumbotron h1 {
    margin-bottom:0px;
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
    padding-right:5px;
}

.jumbotron ul {
    opacity:0;
    margin: 0;
    padding: 0;
    animation: scrollUp 8s ease-in-out infinite;

}

    .jumbotron ul li {
        opacity: 1;
        height: 40px;
        line-height: 25px;
        padding: 5px;
        padding-right: 20px;
        padding-left:0px;
        list-style: none;
        font-weight: 300;
        color: #7b2cbf;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }



@keyframes scrollUp {
    0% {
        transform: translateY(0%);
    }
    25% {
        transform: translateY(0%);
        opacity: 1
    }
    75% {
        transform: translateY(-75%);
        opacity: 1
    }
    
    100% {
        transform: translateY(-75%);
        opacity:0;
    }
}



@media(max-width:991px) {

    .jumbotron #rotator, .jumbotron h2, .jumbotron h1 {
        font-size: 20px;
    }

    .jumbotron .box {
        height:23px;
    }


    .jumbotron ul li {
        height: 25px;
        line-height: 20px;
        padding-top: 1px;
        padding-bottom: 1px;
    }



    .jwrap h2 {
        font-size: 20px;
    }
}


.btn-group.btn-group-toggle.float-right label {
    color: rgba(255,255,255,.6);
}
.btn-group.btn-group-toggle.float-right label:hover {
    color: #7b2cbf
}

table.table.table-striped .form-check-sign:after {
    border: none;
}


span.nav-separator {
    text-align: center;
    display: block;
    padding-top: 20px;
    text-transform: uppercase;
    font-size: .9em;
    font-weight:200;
}

span.nav-separator:after {
        content: "";
        display: block;
        width: 70%;
        height: .5pt;
        background: #7b2cbf;
        margin: 0 auto;
        margin-top: 15px;
}

    span.nav-separator:before {
        content: "";
        width: 2em;
        height: 2em;
        background-image: url(/Images/ArgusSoftware.svg);
        display: block;
        position: absolute;
        background-repeat: no-repeat;
        margin-left: 50px;
        margin-top: -5px;
    }

.card.argus {
    max-width: 650px;
    position: fixed;
    right: 10px;
    bottom: -20px;
    background: rgba(0,0,0,.8);
    filter: drop-shadow(2px 4px 6px black);
    transform: translate3d(0px, 400px, 0px);
    transition:transform ease-in-out 1s;
}

.card.argus.connect {
    transform: translate3d(0px, 0px, 0px);
}

    .card.argus button {
        background: transparent;
        border: none;
        color: white;
        position: absolute;
        top: 12px;
        right: 10px;
    }


::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-thumb {
    background-color: #263148;
    outline: 1px solid black;
    border-radius: 5px;
}


.scroller {
    scrollbar-color: black #263148;
    scrollbar-width: thin;
    user-select:none;
}

html {
    scrollbar-color: black #263148;
    scrollbar-width: thin;
}

.sidebar {
    scrollbar-color: black #263148;
    scrollbar-width: thin;
}

select.form-control.attach-model {
    background: #27293d;
    outline:none;
}

select.form-control.attach-model:hover {
   background-color: #27293d !important;
}

.attach-model option:checked {
        color: #7b2cbf;
        text-decoration: underline;
        background: #27293d;
}

.attach-model option:hover {
    color: #7b2cbf;
    text-decoration: underline;
    background-color: #27293d !important;
}

button.mload svg {
    height: 1.5em;
    width: 1.5em;
    margin-bottom: 2px;
    margin-right: 3px;
}

.card-pricing .list-group {
    font-size: .9em;
}
.card-pricing li {
    min-height: 30px;
}

.buttonPointer {
    position: absolute;
    display: inline-block;
    margin-left: 10px;
    vertical-align: text-bottom;
    height: inherit;
}
    .buttonPointer svg {
        width: 4em;
        height: 3em;
        filter: drop-shadow(20px 20px 0px black) drop-shadow(20px -20px 0px black);
    }

.buttonPointer svg path {
  fill: #7b2cbf;
  animation:ArrowPoint ease-in-out 1s infinite;
}

@keyframes ArrowPoint {
    0% {
        transform:translate3d(0px,0px,0px);
    }
    50% {
        transform: translate3d(-1px,0px,0px);
    }

    100% {
        transform: translate3d(0px,0px,0px);
    }
}


table.table.add-assumptions tfoot td {
    border-top: 1px solid #525f7f;
}


table.table.add-assumptions th span svg {
    margin-left: -35px;
    margin-top:-2px;
    position: absolute;
    fill: #525f7f;
    width: 1.8em;
    height: 1.8em;
    cursor: pointer;
}

.table-responsive.ps.dynamic-wrap.additional {
    padding-left: 30px;
}

table.table.add-assumptions {
    margin-bottom: 0px;
}

table.table.add-assumptions tbody th:nth-child(n+2), table.table.add-assumptions tbody td:nth-child(n+2), table.table.add-assumptions tfoot td:nth-child(n+2) {
 text-align: end;
}

    table.table.add-assumptions tbody th {
        border-top: none;
        border-bottom: 1px solid #525f7f;
    }

.NoneModeled {
    margin-right: 10px;
    color: white;
    padding: 10px;
    background-color: #525f7f !important;
    border-radius: 100%;
}

.table-scroll {
    max-height:700px;
    overflow-y:scroll;
}

table.table.dynamic-table th:nth-child(n+2) div, table.table.dynamic-table td:nth-child(n+2) {
    text-align: end;
}

table.table.dynamic-table input {
    max-width: 200px;
    min-width: 100px;
    margin-left:auto;
}

.wizard-container form.form-horizontal input, .wizard-container form.form-horizontal label {
    font-size: .8em;
}

.progress-container.progress-change {
    cursor: pointer;
    user-select:none;
}
.progress-approved svg {
    position: absolute;
    left: 65px;
    width: 1em;
    height: 1em;
    margin-top:2px;
}

table.table.table-striped.tws-table th:nth-child(5), table.table.table-striped.tws-table td:nth-child(5) {
    min-width: 150px;
}
.progress-approved.NA-display {
    display: none;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 9000;
    color: black;
    filter: drop-shadow(0px -20px 20px black);
}

#blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
}
    #blazor-error-ui .reload {
        color:blue;
        cursor:pointer;
    }


.no-auth svg {
    fill: black;
    width: 5em;
    height: 5em;
}


.btn-price {
    color: white !important;
}

.card-pricing.card-primary .card-body .card-prices .text-on-back {
    color: rgba(255, 255, 255, 0.1);
}

.card-pricing.card-success .card-body .card-prices .text-on-back {
    color: rgba(255, 255, 255, 0.1);
}

.card-pricing.card-danger .card-body .card-prices .text-on-back {
    color: rgba(0, 0, 0, 0.1);
}

h4.subdate svg {
    width: 25px;
    height: 25px;
    fill: #7b2cbf;
    margin-right: 10px;
}


h4.subdate {
    font-weight:100 !important;
    opacity:0;
}

h4.subdate:nth-of-type(1) { 
    animation:subitems 1s ease-in-out forwards;
}

h4.subdate:nth-of-type(2) {
    animation: subitems 1s ease-in-out forwards;
    animation-delay:1s
}
h4.subdate:nth-of-type(3) {  
    animation: subitems 1s ease-in-out forwards;
    animation-delay:2s;
}


@keyframes subitems {
    0% {
        opacity:0;
        transform:translate3d(10px,0px,0px);
    }
    100% {
        opacity: 1;
        transform: translate3d(0px,0px,0px);
    }
}


.card.sub-mgmt, .card.sub-mgmt ul li {
    color: rgba(255,255,255,.4);
   
}

.processing svg {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.no-login a {
    margin: 10px 15px 0;
    border-radius: 5px;
    color: #ffffff !important;
    display: block;
    text-decoration: none;
    position: relative;
    text-transform: uppercase;
    cursor: pointer;
    padding: 10px 8px;
    line-height: 1.625rem;
    background: rgba(255,255,255,.15);
    padding-left: 20px;
    padding-right: 20px;
    transition:background 500ms ease;
   
}

    .no-login a:hover {
        background: rgba(255,255,255,.30);
    }




.dform select, .dform input::placeholder {
    color: rgba(255,255,255,.4);
}

.dform option {
    background-color: #1e1e2f;
}

    .doform option:hover {
        color: rgba(255,255,255,.7);
    }

.dform input[type=datetime-local] {
    color: rgba(255,255,255,.4);
}

.dform input[type=datetime-local]:hover {
    color: rgba(255,255,255,.7);
}


.dform input[type="datetime-local"]::-webkit-calendar-picker-indicator {
    cursor: pointer;
    border-radius: 4px;
    margin-right: 2px;
    opacity: 1;
    filter: invert(0.8);
}

.dform label {
    color: rgba(255,255,255,.4) !important;
}

.dform textarea::placeholder {
    color: rgba(255,255,255,.4) !important;
}

.dform input, .dform select, .dform textarea, .dform label {
    font-size: 1em;
    font-weight: 300;
    padding-left: 10px !important;
}

.dform li {
    color: #7b2cbf !important;
}

@media(min-width:1199.98px) {
    .no-auth {
        transform:translateX(-150px);
    }
}

.calendar-range svg {
    fill: white;
    height: 2em;
    width: 2em;
    padding-right: 10px;
}

.receipt {
    color: #7b2cbf;
    font-weight: 600;
    margin-left: 10px;
    background: rgba(0,0,0,.5);
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
}

.col-format-label {
    padding: 10px 5px 0 15px;
}

.card-wizard .nav-pills .nav-item .nav-link p {
    min-width:100px;
}




.type-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left:15px;
}



.typing {
    width: 28ch;
    animation: typing 1.5s steps(28) infinite;
    white-space: nowrap;
    overflow: hidden;
    color:#7b2cbf;
    font-style:italic;
 
}

@keyframes typing {
    from {
        width: 0
    }
}

@keyframes blink {
    50% {
        border-color: transparent
    }
}

.card.card-timeline .timeline h6 i {
    color: #7b2cbf;
    padding-right: 5px;
}

.hubconnected {
    color:#7b2cbf !important;
    font-weight:300;
}

.wait-title {
    display: flex;
    margin-left: auto;
    width: 15ch;
    text-align: left;
    margin-right:-10px;
}

.regPlus svg {
   width:1.2em;
   height:1.2em;
   margin-right:5px;
}

.dashboard table.table.priced-assumption td {
    padding: .5em;
}


.f-scene {
    perspective: 1200px;
    transform-style: preserve-3d;
    width: Calc(100% - 300px);
    margin-top: 50px;
}


.f-stack {
    display:block;
    width: 600px;
    margin:0 auto;
    
}


    .f-stack .card {
        filter:drop-shadow(1px 1px 5px #7b2cbf);
        position: absolute;
        width: 600px;
        display: block;
        background: #1e1e2f;
        border: 1px solid black;
        animation-delay: 1s;
        animation: f3 1s ease forwards;
    }




        .f-stack .card:nth-child(1) {
            animation:f1 1s ease forwards; 
        }
        .f-stack .card:nth-child(2) {
            animation: f2 1s ease forwards;
        }


        .f-stack .f-input {
            animation: f-input 1s ease forwards !important;
        }


    .f-stack .n-input {
        animation: n-input 3s ease forwards !important;
    }


    .f-stack .card:nth-child(1):hover {
       cursor:pointer;
    }

    .f-stack .s-input {
        animation: s-input 3s ease forwards !important;
    }


@keyframes s-input {
    to {
        transform: rotateY(45deg) rotateX(30deg) translateZ(0px);
    }
}


@keyframes n-input {
    to {
        transform: rotateY(0deg) rotateX(60deg) translateY(-50px) translateZ(-300px);
        opacity:.5;
    }
}



@keyframes f-input {
    to {
        transform: rotateY(0deg) rotateX(0deg) translateZ(0px) translateX(240px);
        background:#1e1e2f;
        
    }
}


@keyframes f1 {
    
    to {
        transform: rotateY(45deg) rotateX(60deg) translateZ(100px);
    }

}
@keyframes f2 {
  
    to {
        transform: rotateY(45deg) rotateX(60deg) translateZ(50px);
    }
}

@keyframes f3 {
   
    to {
        transform: rotateY(45deg) rotateX(60deg) translateZ(0px);
    }
}

.f-stack a {
    margin: 10px 15px 0;
    border-radius: 5px;
    color: #fff !important;
    display: inline;
    text-decoration: none;
    position: relative;
    text-transform: uppercase;
    cursor: pointer;
    padding: 10px 8px;
    line-height: 1.625rem;
    background: rgba(0,0,0,.01);
    padding-left: 50px;
    padding-right: 50px;
    border: 1px solid black;
    transition: background 500ms ease;
}
    .f-stack a:hover {
        background: rgba(0,0,0,.1);
    }


.f-notes {
    color: #525f7f !important;
    font-size: .9em;
    font-style: italic;
}

.f-stack textarea.form-control {
    border-radius: 0.4285rem;
    border: 1px solid #2b3553;
    transition:all 500ms ease;
}

.f-stack textarea.form-control:focus {
    border-color: #7b2cbf;
    background-color: transparent;
    box-shadow: none;
}

.f-button a {
    margin: 10px 15px 0;
    border-radius: 5px;
    color: #fff !important;
    display: inline;
    text-decoration: none;
    position: relative;
    text-transform: uppercase;
    cursor: pointer;
    padding: 10px 8px;
    line-height: 1.625rem;
    background: rgba(0,0,0,.01);
    padding-left: 50px;
    padding-right: 50px;
    border: 1px solid black;
    transition: background 500ms ease;
}

    .f-button a:hover {
        background: rgba(0,0,0,.1);
    }

.no-pricing {
    filter: blur(10px);
    height: 100%;
    width: 100%;
    margin-top:-60px;
}

.no-price {
    cursor:pointer;
    height:35px;
    margin: unset;
    display: inline-block;
    position: relative;
    margin-left: 50%;
    transform: translate(-50%,25vh);
    z-index: 1;
    text-rendering: geometricprecision;
    font-weight: 300;
    color:rgba(255,255,255,.8);
    font-size: 1.3em;
    transition:color ease 500ms; 
    text-transform:uppercase;
}
    .no-price:hover {
        color:white;
    }


.no-price svg {
    width:1.5em;
    height:1.5em;
    color:#7b2cbf;
}

.no-price-2 {
    font-size: .8em;
    text-align: center;
    display: block;
    text-transform: lowercase;
    height:25px;
}


.no-price-wrap {
    user-select:none;
}



@media(max-width:900px) {
    .f-scene {
        transform:scale3d(0.8,0.8,0.8);
    }

}

@media(max-width:750px) {

    .f-scene {
        transform: scale3d(0.5,0.5,0.5);
    }
}

.app_version {
    display: none;
    float: right;
    font-size: 0.75rem;
    line-height: 1.8;
    margin-top: 5px;
    margin-right:10px;
}


.copyright:hover ~ .app_version {
    display:inline;
}

@media(max-width:772px) {
    .app_version {
        display:none !important;
    }
}

.form-hr {
    border-top: 1px solid rgba(255,255,255,.05) !important;
}

span.target-info svg {
   width: 1.2em;
    height: 1.2em;
    margin-left: 5px;
    cursor: pointer;
    position:absolute;
    color:#7b2cbf;
}

.info-card {
   filter: drop-shadow(2px 4px 6px black);
   opacity:0;
   transform:rotateX(90deg);
   animation:notes 500ms ease forwards;
}

.info-card b {
    text-transform: uppercase;
    font-weight:600;
}

@keyframes notes {
    from {
        opacity:0;
        transform:rotateX(90deg);
    }
    to {
        opacity:1;
        transform:rotateX(0deg);
    }
}

span.reset-all {
    position:absolute;
    right:20px;
    margin-top:-15px;
    cursor:pointer;
}

span.reset-all svg {
    color: #525f7f;
    width: 2em;
    height: 2em;
    transform: rotateZ(0deg);
    transition:all ease 500ms;
}

span.reset-all:hover svg {
    color: #525f7f;
    transform: rotateZ(-30deg);
}